Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 473082 - Satellite Installer Always Thinks Database Schema is Populated
Summary: Satellite Installer Always Thinks Database Schema is Populated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-26 14:51 UTC by Devan Goodwin
Modified: 2009-01-22 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:48:45 UTC


Attachments (Terms of Use)

Description Devan Goodwin 2008-11-26 14:51:52 UTC
On a clean system installing Satellite 530 always asks:

** Database: Populating database.

The Database has schema.  Would you like to clear the database [Y]? 

The database does not yet have any schema.

Version-Release number of selected component (if applicable):

Discovered in spacewalk-setup-0.4.4 on Satellite 530, but problem may exist in spacewalk as well.


Steps to Reproduce:
1. Use install.pl from Satellite.

Can also run /usr/share/spacewalk/setup/oracle/remove-db.sh and re-install to repeat the error.

Issue results from changes in git commit 56066cb7 to the file satellite/install/Spacewalk-Setup/lib/Spacewalk/Setup.pm. The query was changed to:

+ WHERE object_name <> 'PLAN_TABLE'
+   and object_name not like 'BIN$%'
+   and rownum = 1

Which is now always triggering.

Comment 2 Michael Mráka 2008-11-27 13:59:40 UTC
Plan table contains CLOB which was triggering non-empty schema.

Fixed in git repo
Created commit ee6051d: 473082 - fixed $% expansion
 1 files changed, 1 insertions(+), 1 deletions(-)
Created commit a09f65b: 473082 - PLAN_TABLE contains CLOB so ignore also LOBs here
 1 files changed, 1 insertions(+), 0 deletions(-)

Package spacewalk-setup-0.4.5-1.

Comment 3 Brandon Perkins 2008-12-04 16:22:21 UTC
Moving from Satellite to Spacewalk.


Note You need to log in before you can comment on or make changes to this bug.